Skip to main content
GET
/
v2
/
farcaster
/
frame
/
relevant
Relevant mini apps
curl --request GET \
  --url https://api.neynar.com/v2/farcaster/frame/relevant/ \
  --header 'x-api-key: <api-key>'
{
  "relevant_frames": [
    {
      "frame": {
        "version": "<string>",
        "image": "<string>",
        "frames_url": "<string>",
        "title": "<string>"
      },
      "top_relevant_users": [
        {
          "object": "user",
          "fid": 3,
          "username": "<string>",
          "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
          "registered_at": "2023-11-07T05:31:56Z",
          "profile": {
            "bio": {
              "text": "<string>",
              "mentioned_profiles": [
                {
                  "object": "user_dehydrated",
                  "fid": 3,
                  "username": "<string>",
                  "display_name": "<string>",
                  "pfp_url": "<string>",
                  "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                  "score": 123
                }
              ],
              "mentioned_profiles_ranges": [
                {
                  "start": 1,
                  "end": 1
                }
              ],
              "mentioned_channels": [
                {
                  "id": "<string>",
                  "name": "<string>",
                  "object": "channel_dehydrated",
                  "image_url": "<string>"
                }
              ],
              "mentioned_channels_ranges": [
                {
                  "start": 1,
                  "end": 1
                }
              ]
            },
            "banner": {
              "url": "<string>"
            }
          },
          "follower_count": 123,
          "following_count": 123,
          "verifications": [
            "0x5a927ac639636e534b678e81768ca19e2c6280b7"
          ],
          "auth_addresses": [
            {
              "address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
              "app": {
                "object": "user_dehydrated",
                "fid": 3,
                "username": "<string>",
                "display_name": "<string>",
                "pfp_url": "<string>",
                "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
                "score": 123
              }
            }
          ],
          "verified_addresses": {
            "eth_addresses": [
              "0x5a927ac639636e534b678e81768ca19e2c6280b7"
            ],
            "sol_addresses": [
              "<string>"
            ],
            "primary": {
              "eth_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
              "sol_address": "<string>"
            }
          },
          "verified_accounts": [
            {
              "platform": "x",
              "username": "<string>"
            }
          ],
          "display_name": "<string>",
          "pfp_url": "<string>",
          "score": 123
        }
      ],
      "remaining_relevant_users": [
        {
          "object": "user_dehydrated",
          "fid": 3,
          "username": "<string>",
          "display_name": "<string>",
          "pfp_url": "<string>",
          "custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
          "score": 123
        }
      ]
    }
  ]
}

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Query Parameters

viewer_fid
integer
required

FID of the user to fetch relevant mini apps for

Required range: x >= 1
time_window
enum<string>
default:7d

Time window used to limit statistics used to calculate mini app relevance

Available options:
1h,
6h,
12h,
24h,
7d
networks
enum<string>[]

List of blockchain networks by which to filter results. Mini apps included in the results will specify at least one of the supplied networks or specify none. The list can be provided as comma-separated string or array.

Networks supported by mini apps

Available options:
ethereum,
base,
arbitrum,
arbitrum-sepolia,
base-sepolia,
degen,
gnosis,
optimism,
optimism-sepolia,
polygon,
ethereum-sepolia,
zora,
unichain,
monad-testnet,
celo,
solana
Example:
["ethereum", "base", "solana"]

Response

200 - application/json

Success

relevant_frames
object[]
required